{
  "type" : "record",
  "name" : "File",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "This defines a file\n    This record is uniquely defined by the sample identfier and an URI\n    Currently sample identifier can be a single string or a list of strings if multiple samples are associated with the same file\n    *",
  "fields" : [ {
    "name" : "sampleId",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Unique identifier(s) of the sample. For example in a multisample vcf this would have an array of all the sample identifiers"
  }, {
    "name" : "uriFile",
    "type" : "string",
    "doc" : "URI path of the file"
  }, {
    "name" : "fileType",
    "type" : {
      "type" : "enum",
      "name" : "FileType",
      "symbols" : [ "BAM", "gVCF", "VCF_small", "VCF_somatic_small", "VCF_CNV", "VCF_somatic_CNV", "VCF_SV", "VCF_somatic_SV", "VCF_SV_CNV", "SVG", "ANN", "BigWig", "MD5Sum", "ROH", "OTHER", "PARTITION", "VARIANT_FREQUENCIES", "COVERAGE" ]
    },
    "doc" : "The type of the file"
  }, {
    "name" : "md5Sum",
    "type" : [ "null", "string" ],
    "doc" : "The MD5 checksum"
  } ]
}
